Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation.base
Class BasicDecisionDataHandle

    java.lang.Object
      com.ibm.conversation.base.BasicDecisionDataHandle

All Implemented Interfaces:
  DecisionDataHandle

public class BasicDecisionDataHandle
extends java.lang.Object
implements DecisionDataHandle

Class BasicDecisionDataHandle is a straightforward, vanilla-Java implementation of the DecisionDataHandle interface.

Constructor Summary
`BasicDecisionDataHandle()` Constructs a BasicDecisionDataHandle object with `null` data members.
`BasicDecisionDataHandle(java.lang.String newName, java.lang.Object[] newArgs)` Constructs a BasicDecisionDataHandle object with the given data members.

Method Summary
`java.lang.Object` | `getArg(int index)` Returns the given parameter to the decision or decision-request.
`java.lang.Object[]` | `getArgs()` Returns the parameters to the decision or decision-request.
`java.lang.Class[]` | `getArgTypes()` Returns the class types of the parameters.
`java.lang.String` | `getName()` Returns the name of the decision or decision-request.
`int` | `getNumArgs()` Returns the number of parameters to the decision or decision-request.
`void` | `setArg(int index, java.lang.Object newArg)` Sets the parameter at the given index.
`void` | `setArgs(java.lang.Object[] newArgs)` Sets the parameters to the decision or decision-request.
`void` | `setName(java.lang.String newName)` Sets the name of the decision or decision-request.
`java.lang.String` | `toString()` Returns a one-line String representation of the decision name and args.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicDecisionDataHandle

    public BasicDecisionDataHandle()

  Constructs a BasicDecisionDataHandle object with `null` data members.

### BasicDecisionDataHandle

    public BasicDecisionDataHandle(java.lang.String newName,
                                   java.lang.Object[] newArgs)

  Constructs a BasicDecisionDataHandle object with the given data members.

Parameters:
  `newName` - The decision name.
  `newArgs` - The decision args.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `DecisionDataHandle`
  Returns the name of the decision or decision-request.

  Specified by:
    `getName` in interface `DecisionDataHandle`
  Returns:
    The name of the decision or decision-request.

### setName

    public void setName(java.lang.String newName)

  Description copied from interface: `DecisionDataHandle`
  Sets the name of the decision or decision-request.

  Specified by:
    `setName` in interface `DecisionDataHandle`
  Parameters:
    `newName` - The name of the decision or decision-request.

### getNumArgs

    public int getNumArgs()

  Description copied from interface: `DecisionDataHandle`
  Returns the number of parameters to the decision or decision-request.

  Specified by:
    `getNumArgs` in interface `DecisionDataHandle`
  Returns:
    The number of parameters to the decision or decision-request.

### getArgs

    public java.lang.Object[] getArgs()

  Description copied from interface: `DecisionDataHandle`
  Returns the parameters to the decision or decision-request.

  Specified by:
    `getArgs` in interface `DecisionDataHandle`
  Returns:
    The parameters to the decision or decision-request.

### setArgs

    public void setArgs(java.lang.Object[] newArgs)

  Description copied from interface: `DecisionDataHandle`
  Sets the parameters to the decision or decision-request.

  Specified by:
    `setArgs` in interface `DecisionDataHandle`
  Parameters:
    `newArgs` - The parameters to the decision or decision-request.

### getArg

    public java.lang.Object getArg(int index)

  Description copied from interface: `DecisionDataHandle`
  Returns the given parameter to the decision or decision-request.

  Specified by:
    `getArg` in interface `DecisionDataHandle`
  Parameters:
    `index` - The index of the parameter
  Returns:
    The parameter at the given index.

### setArg

    public void setArg(int index,
                       java.lang.Object newArg)

  Description copied from interface: `DecisionDataHandle`
  Sets the parameter at the given index.

  Specified by:
    `setArg` in interface `DecisionDataHandle`
  Parameters:
    `index` - The index of the parameter to set.
    `newArg` - The new parameter.

### getArgTypes

    public java.lang.Class[] getArgTypes()

  Description copied from interface: `DecisionDataHandle`
  Returns the class types of the parameters.

  Specified by:
    `getArgTypes` in interface `DecisionDataHandle`
  Returns:
    The Class objects for the parameters, or `null` if not defined.

### toString

    public java.lang.String toString()

  Returns a one-line String representation of the decision name and args.

  This is defined for debugging and unit testing purposes.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005